<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
    xmlns:h="http://java.sun.com/jsf/html"
    xmlns:f="http://java.sun.com/jsf/core"
    xmlns:ui="http://java.sun.com/jsf/facelets"
    xmlns:p="http://primefaces.org/ui"
    xmlns:c="http://java.sun.com/jstl/core"
      xmlns:s="http://jboss.com/products/seam/taglib">
<h:head>
    <title>Tablero de Mando - Funnel</title>
    <link rel="icon" type="image/png" sizes="16x16" href="#{request.contextPath}/recursos/assets/images/favicon.png"/>
    <link href="#{request.contextPath}/recursos/assets/footable/css/footable.bootstrap.min.css" rel="stylesheet"/>
    <link href="#{request.contextPath}/recursos/dist/css/pages/contact-app-page.css" rel="stylesheet"/>
	<link href="#{request.contextPath}/recursos/dist/css/pages/footable-page.css" rel="stylesheet"/>
    
    <link href="#{request.contextPath}/recursos/dist/css/style.css" rel="stylesheet"/>
	<link href="#{request.contextPath}/recursos/assets/icons/simple-line-icons/css/simple-line-icons.css" rel="stylesheet" />
	<link href="#{request.contextPath}/recursos/assets/icons/themify-icons/themify-icons.css" rel="stylesheet" />
    <link href="#{request.contextPath}/recursos/assets/icons/font-awesome/css/fontawesome-all.css" rel="stylesheet"/>
    
	<script src="#{request.contextPath}/recursos/assets/popper/popper.min.js"></script>
	<script src="#{request.contextPath}/recursos/assets/bootstrap/js/bootstrap.min.js"></script>
	<script src="#{request.contextPath}/recursos/dist/js/perfect-scrollbar.jquery.min.js"></script>
	<script src="#{request.contextPath}/recursos/dist/js/waves.js"></script>
	<script src="#{request.contextPath}/recursos/dist/js/sidebarmenu.js"></script>
	<script src="#{request.contextPath}/recursos/assets/sticky-kit-master/dist/sticky-kit.min.js"></script>
	<script src="#{request.contextPath}/recursos/assets/sparkline/jquery.sparkline.min.js"></script>
	
   	<style>
   	
   		.card {
		    position: relative;
		    display: -webkit-box;
		    display: -ms-flexbox;
		    display: flex;
		    -webkit-box-orient: vertical;
		    -webkit-box-direction: normal;
		    -ms-flex-direction: column;
		    flex-direction: column;
		    min-width: 0;
		    word-wrap: break-word;
		    background-color: #fff;
		    background-clip: border-box;
		    border: 1px solid rgba(0,0,0,.125);
		}
		.card-rounded {border-radius: .75rem;}
		.shadow-sm {
		    box-shadow: 0 .125rem .25rem rgba(0,0,0,.075)!important;
		}
		.table th, .table td {border-top: 0;}
		.table {
			margin-bottom: 0;	
			padding:0;
		}
	    .contact-page-aside {padding: 20px;}
	    .horizontal {display: inline; border-left: 1px solid #ddd; padding: 0 0.5em; }
	    ul {padding-inline-start: 0}
	    .vertical {list-style-type: none; margin-bottom: 0;}
	    .first {border-left: 0; padding-left: 0}
	    label {margin-right: 5px;}
	    .bg-info {background: #007abc;}
	    .text-info {color: #007abc;}
	    .btn-outline-info { color: #007abc; border-color: #007abc;}
	    .btn-info {background: #007abc;}
	    .bg-green {background: #a4ce4e;}
	    .btn-outline-green {color: #a4ce4e; border-color: #a4ce4e;}
	    .bootstrap-switch .bootstrap-switch-handle-on.bootstrap-switch-primary {color: #fff; background: #007abc;}
   	
   	
	 	.table td span {
		    color: #0090da!important;
		    font-weight: 600;
		}
		.progress{
			background-color: #D9D9D6!important;
		}
		.progress-bar.bg-success {
			background-color: #a4ce4e!important;                     
		}
	    .actividades td:nth-child(even) { background-color:#f2f2f2;}
	    .actividades td:nth-child(odd) { background-color:#fbfbfb;}
	    .blanco { background-color: #fbfbfb!important;}
	    .tablero {margin: 20px;}
	    .table td span {color: yellow; font-weight: 600;}
	    .table td  {font-weight: 600;}
	    .table td, .table th {
		    padding: 0.7rem !important;
		    vertical-align: middle;
		}
		.totalesClass
		{
			color:#000000 !important;
			font-style:normal !important;
			font-weight: normal;
		}
		.totalesOKClass
		{
			color:#a4ce4e !important;
			font-style:normal !important;
			font-weight: normal;
		}
		.totalesNOKClass
		{
			color:#db0a5b !important;
			font-style:normal !important;
			font-weight: normal;
		}	
		canvas {
        	-moz-user-select: none;
            -webkit-user-select: none;
            -ms-user-select: none;
        }
        .jqplot-series-canvas {
		  background:#ffffff;
		}
		.jqplot-series-shadowCanvas {
		    display: none;
		}
		.jqplot-target{
			color:#ffffff !important;
		}
		table.jqplot-table-legend, table.jqplot-cursor-legend {
			color: black !important;
			border: 0 !important;
		}
		
		.ui-growl {
		    position:absolute;
		    top:40%;
		    left:35%;
		    z-index:9999;
		    border-radius:15px;
		    background-color:#FFFFFF;
		}
		
		.ui-panelgrid .ui-panelgrid-cell {
		    border-width: 0px;
		    border-style: solid;
		    border-color: inherit;
		    padding: 0px;
		}
		label {
		    display: inline-block;
		    margin-bottom: 0; 
		}
		.ui-button-text-only .ui-button-text {
		    padding: 0;
		    font-size: 12px;
		}
	</style>
	<h:outputScript>
	   function chartExtender() {        
		 this.cfg.grid = {             
		        background: '#ffffff',
		        gridLineColor: '#ffffff',
		        drawBorder: false,
		        shadow: false, 
		    };
		 this.cfg.highlighter = {
            show: false,
            tooltipLocation: 'n',
            useAxesFormatters: false,
            formatString: '%s = %d'
         };
	   }
	</h:outputScript>
</h:head>
<h:body class="skin-blue fixed-layout mini-sidebar" cz-shortcut-listen="true">
	<!-- ============================================================== -->
	<!-- Preloader - style you can find in spinners.css -->
	<!-- ============================================================== -->
	<div class="preloader">
		<div class="loader">
			<div class="loader__figure"></div>
			<p class="loader__label">BEBOSS</p>
		</div>
	</div>
	<!-- ============================================================== -->
	<!-- Main wrapper - style you can find in pages.scss -->
	<!-- ============================================================== -->
	<div id="main-wrapper">
		<!-- ============================================================== -->
		<!-- Topbar header - style you can find in pages.scss -->
		<!-- ============================================================== -->
		<header class="topbar">
			<nav class="navbar top-navbar navbar-expand-md navbar-dark">
				<!-- ============================================================== -->
				<!-- Logo -->
				<!-- ============================================================== -->
				<div class="navbar-header">
					<a class="navbar-brand" href="#">
						<!-- Logo icon --><b>
                            <!--You can put here icon as well // <i class="wi wi-sunset"></i> //-->
                            <!-- Dark Logo icon -->                           
                            <h:graphicImage url="#{request.contextPath}/recursos/assets/images/logo-icon.png" alt="homepage" class="dark-logo" />
                            <!-- Light Logo icon -->
                            <h:graphicImage url="#{request.contextPath}/recursos/assets/images/logo-light-icon.png" class="light-logo" />
                        </b>
						<!--End Logo icon -->
						<!-- Logo text -->
 						<span>
                            <!-- dark Logo text -->
                            <img src="#{request.contextPath}/recursos/assets/images/logo-text.png" alt="homepage" class="dark-logo" />
                            <!-- Light Logo text -->
                            <img src="#{request.contextPath}/recursos/assets/images/logo-light-text.png" class="light-logo" alt="homepage" />
                        </span>
					</a>
				</div>
				<!-- ============================================================== -->
				<!-- End Logo -->
				<!-- ============================================================== -->
				<div class="navbar-collapse">
					<!-- ============================================================== -->
					<!-- toggle and nav items -->
					<!-- ============================================================== -->
					<ul class="navbar-nav mr-auto">
						<!-- This is  -->
						<li class="nav-item"> <a class="nav-link nav-toggler d-block d-md-none waves-effect waves-dark" href="javascript:void(0)"><i class="ti-menu"></i></a> </li>
						<li class="nav-item"> <a class="nav-link sidebartoggler d-none d-lg-block d-md-block waves-effect waves-dark" href="javascript:void(0)"><i class="icon-menu"></i></a> </li>
						<!-- ============================================================== -->
						<!-- Search -->
						<!-- ============================================================== -->
					</ul>
					<!-- ============================================================== -->
					<!-- User profile and search -->
					<!-- ============================================================== -->
					<ul class="navbar-nav my-lg-0">
						<!-- ============================================================== -->
						<!-- User Profile -->
						<!-- ============================================================== -->
						<h:form id="frmDrillDown">
							<p:panel rendered="#{funnelBean.usuarioDrillDown eq null}">
								<li class="nav-item dropdown u-pro">
									<a class="nav-link dropdown-toggle waves-effect waves-dark profile-pic" href="" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false"><span class="hidden-md-down">#{funnelBean.usuario.nombreCompletoUsuario}<i class="fa fa-angle-down"></i></span> </a>
									<div class="dropdown-menu dropdown-menu-right animated flipInY">
			                        	<p:commandLink actionListener="#{loginBean.logoutAction}" styleClass="dropdown-item"><i class="fa fa-power-off"></i> Cerrar Sesión</p:commandLink>
									</div>
								</li>
							</p:panel>
							<p:panel rendered="#{funnelBean.usuarioDrillDown ne null}">
								<p:commandLink style="color: white;font-size: 14px;" value="#{funnelBean.usuarioDrillDown.getPerfil()}: #{funnelBean.usuarioDrillDown.getNombres()}"/><p:spacer width="20px" />
								<p:commandLink actionListener="#{loginBean.volverPerfil}" style="color: white;font-size: 14px;" value="VOLVER A MI PERFIL" />
							</p:panel>
						</h:form>
						<!-- ============================================================== -->
						<!-- End User Profile -->
						<!-- ============================================================== -->
					</ul>
				</div>
			</nav>
		</header>
		<!-- ============================================================== -->
		<!-- End Topbar header -->
		<!-- ============================================================== -->
		<!-- ============================================================== -->
		<!-- Left Sidebar - style you can find in sidebar.scss  -->
		<!-- ============================================================== -->
		<h:form>
		<aside class="left-sidebar">
			<!-- Sidebar scroll-->
			<div class="scroll-sidebar">
				<!-- Sidebar navigation-->
				<nav class="sidebar-nav">
					<ul id="sidebarnav">
					    <li> 
							<p:commandLink ajax="true" onclick="$('.preloader').fadeIn();" actionListener="#{loginBean.cleanBeanAndRedirect('/perfil')}" styleClass="has-arrow waves-effect waves-dark">
						       <i class="icon-user"></i><span class="hide-menu">Perfil</span>
						    </p:commandLink>
						</li>	
						<c:if test="#{perfilBean.esAsesor}">
							<li>
								<p:commandLink ajax="true" onclick="$('.preloader').fadeIn();" actionListener="#{loginBean.cleanBeanAndRedirect('/cargaDatosAs')}" styleClass="has-arrow waves-effect waves-dark">
							       <i class="fas fa-upload"></i><span class="hide-menu">Carga de Datos</span>
							    </p:commandLink>		
							</li>
						</c:if>
						<c:if test="#{perfilBean.esAsesorODrillDownAsesor}">	
							<li>
								<p:commandLink ajax="true" onclick="$('.preloader').fadeIn();" actionListener="#{loginBean.cleanBeanAndRedirect('/sueldo')}" styleClass="has-arrow waves-effect waves-dark">
							       <i class="fas fa-calendar-check"></i><span class="hide-menu">Sueldo Mes Actual</span>
							    </p:commandLink>		
							</li>
						</c:if>
						<li>
							<p:commandLink ajax="true" onclick="$('.preloader').fadeIn();" actionListener="#{loginBean.cleanBeanAndRedirect('/tableroMando')}" styleClass="has-arrow waves-effect waves-dark">
						       <i class="ti-eye"></i><span class="hide-menu">Tablero de Mando</span>
						    </p:commandLink>		
						</li>
						<li> 
							<p:commandLink ajax="true" onclick="$('.preloader').fadeIn();" actionListener="#{loginBean.cleanBeanAndRedirect('/mixProd')}" styleClass="has-arrow waves-effect waves-dark">
						       <i class="ti-layout-grid2"></i><span class="hide-menu">Mix de Productos</span>
						    </p:commandLink>
						</li>
						<li> 
							<p:commandLink ajax="true" onclick="$('.preloader').fadeIn();" actionListener="#{loginBean.cleanBeanAndRedirect('/funnel')}" styleClass="has-arrow waves-effect waves-dark active">
						       <i class="fa fa-filter"></i><span class="hide-menu">Funnel Actividades</span>
						    </p:commandLink>
						</li>
					</ul>
				</nav>
				<!-- End Sidebar navigation -->
			</div>
			<!-- End Sidebar scroll-->
		</aside>
		</h:form>
  	
  		<div class="page-wrapper" style="min-height: 272px;">
			<div class="container-fluid">
				 <div class="row page-titles">
                    <div class="col-md-9 align-self-left">
                        <h4 class="text-themecolor">FUNNEL DE ACTIVIDADES</h4>
                        <h5 class="text-themecolor text-left">Gestiona tus acciones comerciales e impacta tus resultados</h5>
                    </div>
                    <div class="col-md-3 align-self-center text-right">
                        <div class="d-flex justify-content-end align-items-center">
                            <ol class="breadcrumb">
                                <li class="breadcrumb-item"><a href="javascript:void(0)">Inicio</a></li>
                                <li class="breadcrumb-item active">Funnel de Actividades</li>
                            </ol>
                        </div>
                    </div>
                </div>
                
                <h:form id="frmFiltros">
                	<p:growl autoUpdate="true" widgetVar="growlWV" id="growl" life="4000" />
                	<h:inputHidden id="respuesta" value="#{funnelBean.respuesta}" />
	                <div class="tablero">
		                <div class="row">
		               	 	<div class="col-lg-8"></div>
		               	 	<div class="col-lg-4">
								<p:panelGrid columns="3">
									 <h:outputLabel value="Periodos" style="form-control" />
									 <h:selectOneMenu value="#{funnelBean.idSubPeriodoSelect}" styleClass="form-control custom-select">
					                  	<p:ajax listener="#{funnelBean.cargaFunnelDiario}" onstart="$('.preloader').fadeIn();" update="frmAct, frmFiltros:respuesta" oncomplete="cargaRefrescar();" />
					                  	<f:selectItem itemLabel="Seleccione Periodo" itemValue="#{null}" />
							            <f:selectItems value="#{funnelBean.listSubPeriodos}" var="p" itemLabel="#{p.nombreSubPeriodo}" itemValue="#{p.idSubPeriodo}" />
							        </h:selectOneMenu>
							        <p:commandButton value="Borrar Filtro" id="btnlimpiar" class="btn btn-outline-info btn-rounded m-10 float-right" 
		                              	onstart="$('.preloader').fadeIn();" update="frmFiltros, frmAct, frmFiltros:respuesta" oncomplete="cargaRefrescar();"
		                              	actionListener="#{funnelBean.limpiaFiltroSemana}">
									</p:commandButton>
								</p:panelGrid>
					    	</div>
					 	</div>
					</div>
				</h:form>
                
				<div class="tablero">
					<div class="row">
						<div class="col-lg-7">
							<div class="card card-rounded bt-switch shadow-md">
								<div class="card-body">
									<div class="row">
										<table class="table no-border">
											<tbody>
												<tr>
													<td width="230">Prospectos (P)</td>
													<td width="30"><div class="totalesClass" id="prospectos_totalReal"></div></td>
													<td width="300">
														<div class="progress ml-0 mr-0">
															<div id="prospectos_div" class="progress-bar bg-success" role="progressbar"><div style="color:#FFFFFF;" id="prospectos_porcentaje"></div></div>
														</div>
													</td>
													<td width="30"><div class="totalesClass" id="prospectos_totalPlan"></div></td>
												</tr>
												<tr>
													<td>Llamadas (LL)</td>
													<td><div class="totalesClass" id="llamadas_totalReal"></div></td>
													<td>
														<div class="progress progress ml-1 mr-1">
															<div id="llamadas_div" class="progress-bar bg-success " role="progressbar"><div style="color:#FFFFFF;" id="llamadas_porcentaje"></div></div>
														</div>
													</td>
													<td><div class="totalesClass" id="llamadas_totalPlan"></div></td>
												</tr>
												<tr>
													<td>Citas concertadas (C)</td>
													<td><div class="totalesClass" id="citas_totalReal"></div></td>
													<td>
														<div class="progress ml-2 mr-2">
															<div id="citas_div" class="progress-bar bg-success " role="progressbar"><div style="color:#FFFFFF;" id="citas_porcentaje"></div></div>
														</div>
													</td>
													<td><div class="totalesClass" id="citas_totalPlan"></div></td>
												</tr>
												<tr>
													<td>Reunión 2 (R1)</td>
													<td><div class="totalesClass" id="reunion_r1_totalReal"></div></td>
													<td>
														<div class="progress ml-3 mr-3">
															<div id="reunion_r1_div" class="progress-bar bg-success" role="progressbar"><div style="color:#FFFFFF;" id="reunion_r1_porcentaje"></div></div>
														</div>
													</td>
													<td><div class="totalesClass" id="reunion_r1_totalPlan"></div></td>
												</tr>
												<tr>
													<td>Reunión 2 (R2)</td>
													<td><div class="totalesClass" id="reunion_r2_totalReal"></div></td>
													<td>
														<div class="progress ml-4 mr-4">
															<div id="reunion_r2_div" class="progress-bar bg-success " role="progressbar"><div style="color:#FFFFFF;" id="reunion_r2_porcentaje"></div></div>
														</div>
													</td>
													<td><div class="totalesClass" id="reunion_r2_totalPlan"></div></td>
												</tr>
												<tr>
													<td>Clientes cotizados (CO)</td>
													<td><div class="totalesClass" id="clientes_totalReal"></div></td>
													<td>
														<div class="progress ml-5 mr-5">
															<div id="clientes_div" class="progress-bar bg-success " role="progressbar"><div style="color:#FFFFFF;" id="clientes_porcentaje"></div></div>
														</div>
													</td>
													<td><div class="totalesClass" id="clientes_totalPlan"></div></td>
												</tr>
												<tr>
													<td>Cierre (E)</td>
													<td><div class="totalesClass" id="cierre_totalReal"></div></td>
													<td>
														<div class="progress ml-6 mr-6">
															<div id="cierre_div" class="progress-bar bg-success " role="progressbar"><div style="color:#FFFFFF;" id="cierre_porcentaje"></div></div>
														</div>
													</td>
													<td><div class="totalesClass" id="cierre_totalPlan"></div></td>
												</tr>
											</tbody>
										</table>
									</div>
									<div class="row">
										<p:spacer height="35px" />
									</div>
								</div>		
							</div>
						</div>
						<!-- column -->
						<div class="col-lg-5">
							<div class="card card-rounded bt-switch shadow-md">
								<div class="card-body">
									<h4 class="card-title text-center">Ratios de Actividad Comercial</h4>
									<div class="row">
										<c:if test="#{funnelBean.emitidas eq 0 and funnelBean.sometidas eq 0}">
											<p:spacer height="50px"/>
											<div class="col-lg-12">
												<img src="#{request.contextPath}/recursos/images/graph-7_icon.png" width="100" height="80" style="display:block; margin:auto;" />
												<br/>
												<h5 class="card-title text-center">Sin información para graficar</h5>
											</div>
											<p:spacer height="120px"/>
										</c:if>
										<c:if test="#{funnelBean.emitidas ne 0 or funnelBean.sometidas ne 0}">
											<p:chart type="donut" model="#{funnelBean.donutRatios}" />
										</c:if>
									</div>
								</div>
							</div>
						</div>
					</div>
					<div class="row">
						<div class="col-lg-12">
						    <div class="card card-rounded bt-switch shadow-md">
						    	<div class="card-body">
						    		<h:form id="frmAct">
							    		<ui:fragment rendered="#{funnelBean.idSubPeriodoSelect eq null}">
							    	        <table class="table table-bordered text-center align-middle actividades">
											    <th rowspan="2">Actividades</th>
											    <th colspan="2" scope="col"><span id="nombre_s1"></span></th>
											    <th colspan="2" scope="col"><span id="nombre_s2"></span></th>
											    <th colspan="2" scope="col"><span id="nombre_s3"></span></th>
											    <th colspan="2" scope="col" style="border-right: 1px solid #007abc;"><span id="nombre_s4"></span></th>
											    <th colspan="2" scope="col">Total</th>
												  <tr>
												    <td>Meta</td>
												    <td class="blanco">Real</td>
												    <td>Meta</td>
												    <td class="blanco">Real</td>
												    <td>Meta</td>
												    <td class="blanco">Real</td>
												    <td>Meta</td>
												    <td style="border-right: 1px solid #007abc;" class="blanco">Real</td>
												    <td>Meta</td>
												    <td class="blanco">Real</td>
												  </tr>
												  <tr>
												    <th scope="row"><button class="btn btn-circle btn-info">P</button></th>
												    <td><div class="totalesClass" id="p_meta_s1"></div></td>
												    <td><div class="totalesClass" id="p_real_s1"></div></td>
												    <td><div class="totalesClass" id="p_meta_s2"></div></td>
												    <td><div class="totalesClass" id="p_real_s2"></div></td>
												    <td><div class="totalesClass" id="p_meta_s3"></div></td>
												    <td><div class="totalesClass" id="p_real_s3"></div></td>
												    <td><div class="totalesClass" id="p_meta_s4"></div></td>
												    <td style="border-right: 1px solid #007abc;"><div class="totalesClass" id="p_real_s4"></div></td>
												    <td><div class="totalesClass" id="p_meta_total"></div></td>
												    <td><div class="totalesClass" id="p_real_total"></div></td>
												  </tr>
												  <tr>
												    <th scope="row"><button class="btn btn-circle btn-info">LL</button></th>
												    <td><div class="totalesClass" id="ll_meta_s1"></div></td>
												    <td><div class="totalesClass" id="ll_real_s1"></div></td>
												    <td><div class="totalesClass" id="ll_meta_s2"></div></td>
												    <td><div class="totalesClass" id="ll_real_s2"></div></td>
												    <td><div class="totalesClass" id="ll_meta_s3"></div></td>
												    <td><div class="totalesClass" id="ll_real_s3"></div></td>
												    <td><div class="totalesClass" id="ll_meta_s4"></div></td>
												    <td style="border-right: 1px solid #007abc;"><div class="totalesClass" id="ll_real_s4"></div></td>
												    <td><div class="totalesClass" id="ll_meta_total"></div></td>
												    <td><div class="totalesClass" id="ll_real_total"></div></td>
												  </tr>
												  <tr>
												    <th scope="row"><button class="btn btn-circle btn-info">C</button></th>
												    <td><div class="totalesClass" id="c_meta_s1"></div></td>
												    <td><div class="totalesClass" id="c_real_s1"></div></td>
												    <td><div class="totalesClass" id="c_meta_s2"></div></td>
												    <td><div class="totalesClass" id="c_real_s2"></div></td>
												    <td><div class="totalesClass" id="c_meta_s3"></div></td>
												    <td><div class="totalesClass" id="c_real_s3"></div></td>
												    <td><div class="totalesClass" id="c_meta_s4"></div></td>
												    <td style="border-right: 1px solid #007abc;"><div class="totalesClass" id="c_real_s4"></div></td>
												    <td><div class="totalesClass" id="c_meta_total"></div></td>
												    <td><div class="totalesClass" id="c_real_total"></div></td>
												  </tr>
												  <tr>
												    <th scope="row"><button class="btn btn-circle btn-info">R1</button></th>
												    <td><div class="totalesClass" id="r1_meta_s1"></div></td>
												    <td><div class="totalesClass" id="r1_real_s1"></div></td>
												    <td><div class="totalesClass" id="r1_meta_s2"></div></td>
												    <td><div class="totalesClass" id="r1_real_s2"></div></td>
												    <td><div class="totalesClass" id="r1_meta_s3"></div></td>
												    <td><div class="totalesClass" id="r1_real_s3"></div></td>
												    <td><div class="totalesClass" id="r1_meta_s4"></div></td>
												    <td style="border-right: 1px solid #007abc;"><div class="totalesClass" id="r1_real_s4"></div></td>
												    <td><div class="totalesClass" id="r1_meta_total"></div></td>
												    <td><div class="totalesClass" id="r1_real_total"></div></td>
												  </tr>
												  <tr>
												    <th scope="row"><button class="btn btn-circle btn-info">R2</button></th>
												    <td><div class="totalesClass" id="r2_meta_s1"></div></td>
												    <td><div class="totalesClass" id="r2_real_s1"></div></td>
												    <td><div class="totalesClass" id="r2_meta_s2"></div></td>
												    <td><div class="totalesClass" id="r2_real_s2"></div></td>
												    <td><div class="totalesClass" id="r2_meta_s3"></div></td>
												    <td><div class="totalesClass" id="r2_real_s3"></div></td>
												    <td><div class="totalesClass" id="r2_meta_s4"></div></td>
												    <td style="border-right: 1px solid #007abc;"><div class="totalesClass" id="r2_real_s4"></div></td>
												    <td><div class="totalesClass" id="r2_meta_total"></div></td>
												    <td><div class="totalesClass" id="r2_real_total"></div></td>
												  </tr>
												  <tr>
												    <th scope="row"><button class="btn btn-circle btn-info">CO</button></th>
												    <td><div class="totalesClass" id="co_meta_s1"></div></td>
												    <td><div class="totalesClass" id="co_real_s1"></div></td>
												    <td><div class="totalesClass" id="co_meta_s2"></div></td>
												    <td><div class="totalesClass" id="co_real_s2"></div></td>
												    <td><div class="totalesClass" id="co_meta_s3"></div></td>
												    <td><div class="totalesClass" id="co_real_s3"></div></td>
												    <td><div class="totalesClass" id="co_meta_s4"></div></td>
												    <td style="border-right: 1px solid #007abc;"><div class="totalesClass" id="co_real_s4"></div></td>
												    <td><div class="totalesClass" id="co_meta_total"></div></td>
												    <td><div class="totalesClass" id="co_real_total"></div></td>
												  </tr>
												  <tr>
												    <th scope="row"><button class="btn btn-circle btn-info">E</button></th>
												    <td><div class="totalesClass" id="e_meta_s1"></div></td>
												    <td><div class="totalesClass" id="e_real_s1"></div></td>
												    <td><div class="totalesClass" id="e_meta_s2"></div></td>
												    <td><div class="totalesClass" id="e_real_s2"></div></td>
												    <td><div class="totalesClass" id="e_meta_s3"></div></td>
												    <td><div class="totalesClass" id="e_real_s3"></div></td>
												    <td><div class="totalesClass" id="e_meta_s4"></div></td>
												    <td style="border-right: 1px solid #007abc;"><div class="totalesClass" id="e_real_s4"></div></td>
												    <td><div class="totalesClass" id="e_meta_total"></div></td>
												    <td><div class="totalesClass" id="e_real_total"></div></td>
												  </tr>
											</table>
										</ui:fragment>
										<ui:fragment rendered="#{funnelBean.idSubPeriodoSelect ne null}">
											<div style="overflow-x:auto;">
												<table class="table table-bordered text-center align-middle actividades">
												    <th rowspan="2">Actividades</th>
											    	<ui:repeat value="#{funnelBean.funnelActXSubPeriodo.funnelActividades.get(0).diasSubPeriodo}" var="funnel">
											     		<th colspan="2" scope="col"><h:outputLabel value="#{funnel.dia}" /></th>
													</ui:repeat>
													<tr>
													 	<ui:repeat value="#{funnelBean.funnelActXSubPeriodo.funnelActividades.get(0).diasSubPeriodo}" var="funnel">
												     		<ui:fragment rendered="#{funnel.esHabil eq 'NO'}">
												     			<td style="background-color: #a7a8aa !important;">Meta</td>
													   		</ui:fragment>
													   		<ui:fragment rendered="#{funnel.esHabil eq 'SI'}">
												     			<td>Meta</td>
													   		</ui:fragment>
													   		<td class="blanco">Real</td>
														</ui:repeat>
													</tr>
													<tr>
													    <th scope="row"><button class="btn btn-circle btn-info">P</button></th>
													    <ui:repeat value="#{funnelBean.funnelActXSubPeriodo.funnelActividades}" var="funnel">
													    	<ui:repeat value="#{funnel.diasSubPeriodo}" var="sub">
													    		<ui:fragment rendered="#{funnel.nombreActividad eq 'Prospectos'}">
														     		<ui:fragment rendered="#{sub.esHabil eq 'NO'}">
														     			<td style="background-color: #a7a8aa !important;"><div class="totalesClass"><h:outputText value="#{sub.plan}"/></div></td>
															   		</ui:fragment>
															   		<ui:fragment rendered="#{sub.esHabil eq 'SI'}">
														     			<td><div class="totalesClass"><h:outputText value="#{sub.plan}"/></div></td>
															   		</ui:fragment>
															 		<td><div class="#{sub.estilo}"><h:outputText value="#{sub.real}"/></div></td>
													     		</ui:fragment>
													   		</ui:repeat>
														</ui:repeat>
													</tr>  
													<tr>
													    <th scope="row"><button class="btn btn-circle btn-info">LL</button></th>
													    <ui:repeat value="#{funnelBean.funnelActXSubPeriodo.funnelActividades}" var="funnel">
													    	<ui:repeat value="#{funnel.diasSubPeriodo}" var="sub">
													    		<ui:fragment rendered="#{funnel.nombreActividad eq 'Llamadas'}">
													    			<ui:fragment rendered="#{sub.esHabil eq 'NO'}">
														     			<td style="background-color: #a7a8aa !important;"><div class="totalesClass"><h:outputText value="#{sub.plan}"/></div></td>
															   		</ui:fragment>
															   		<ui:fragment rendered="#{sub.esHabil eq 'SI'}">
														     			<td><div class="totalesClass"><h:outputText value="#{sub.plan}"/></div></td>
															   		</ui:fragment>
														     		<td><div class="#{sub.estilo}"><h:outputText value="#{sub.real}"/></div></td>
														  		</ui:fragment>
													   		</ui:repeat>
														</ui:repeat>
													</tr>    
													<tr>
													    <th scope="row"><button class="btn btn-circle btn-info">C</button></th>
													    <ui:repeat value="#{funnelBean.funnelActXSubPeriodo.funnelActividades}" var="funnel">
													    	<ui:repeat value="#{funnel.diasSubPeriodo}" var="sub">
													    		<ui:fragment rendered="#{funnel.nombreActividad eq 'Citas Concertadas'}">
														     		<ui:fragment rendered="#{sub.esHabil eq 'NO'}">
														     			<td style="background-color: #a7a8aa !important;"><div class="totalesClass"><h:outputText value="#{sub.plan}"/></div></td>
															   		</ui:fragment>
															   		<ui:fragment rendered="#{sub.esHabil eq 'SI'}">
														     			<td><div class="totalesClass"><h:outputText value="#{sub.plan}"/></div></td>
															   		</ui:fragment>
														     		<td><div class="#{sub.estilo}"><h:outputText value="#{sub.real}"/></div></td>
													     		</ui:fragment>
													   		</ui:repeat>
														</ui:repeat>
													</tr>  
													<tr>
														<th scope="row"><button class="btn btn-circle btn-info">R1</button></th> 
														<ui:repeat value="#{funnelBean.funnelActXSubPeriodo.funnelActividades}" var="funnel">
													    	<ui:repeat value="#{funnel.diasSubPeriodo}" var="sub">
													    		<ui:fragment rendered="#{funnel.nombreActividad eq 'Reunion 1'}">
														     		<ui:fragment rendered="#{sub.esHabil eq 'NO'}">
														     			<td style="background-color: #a7a8aa !important;"><div class="totalesClass"><h:outputText value="#{sub.plan}"/></div></td>
															   		</ui:fragment>
															   		<ui:fragment rendered="#{sub.esHabil eq 'SI'}">
														     			<td><div class="totalesClass"><h:outputText value="#{sub.plan}"/></div></td>
															   		</ui:fragment>
														     		<td><div class="#{sub.estilo}"><h:outputText value="#{sub.real}"/></div></td>
													     		</ui:fragment>
													   		</ui:repeat>
														</ui:repeat>
													</tr> 
													<tr>
													    <th scope="row"><button class="btn btn-circle btn-info">R2</button></th>
													    <ui:repeat value="#{funnelBean.funnelActXSubPeriodo.funnelActividades}" var="funnel">
													    	<ui:repeat value="#{funnel.diasSubPeriodo}" var="sub">
													    		<ui:fragment rendered="#{funnel.nombreActividad eq 'Reunion 2'}">
														     		<ui:fragment rendered="#{sub.esHabil eq 'NO'}">
														     			<td style="background-color: #a7a8aa !important;"><div class="totalesClass"><h:outputText value="#{sub.plan}"/></div></td>
															   		</ui:fragment>
															   		<ui:fragment rendered="#{sub.esHabil eq 'SI'}">
														     			<td><div class="totalesClass"><h:outputText value="#{sub.plan}"/></div></td>
															   		</ui:fragment>
														     		<td><div class="#{sub.estilo}"><h:outputText value="#{sub.real}"/></div></td>
													     		</ui:fragment>
													   		</ui:repeat>
														</ui:repeat>
													</tr>     
													<tr>
													    <th scope="row"><button class="btn btn-circle btn-info">CO</button></th>   
													    <ui:repeat value="#{funnelBean.funnelActXSubPeriodo.funnelActividades}" var="funnel">
													    	<ui:repeat value="#{funnel.diasSubPeriodo}" var="sub">
													    		<ui:fragment rendered="#{funnel.nombreActividad eq 'Clientes Cotizados'}">
														     		<ui:fragment rendered="#{sub.esHabil eq 'NO'}">
														     			<td style="background-color: #a7a8aa !important;"><div class="totalesClass"><h:outputText value="#{sub.plan}"/></div></td>
															   		</ui:fragment>
															   		<ui:fragment rendered="#{sub.esHabil eq 'SI'}">
														     			<td><div class="totalesClass"><h:outputText value="#{sub.plan}"/></div></td>
															   		</ui:fragment>
														     		<td><div class="#{sub.estilo}"><h:outputText value="#{sub.real}"/></div></td>
													     		</ui:fragment>
													   		</ui:repeat>
														</ui:repeat>
													</tr>   
													 <tr>
													    <th scope="row"><button class="btn btn-circle btn-info">E</button></th>
														<ui:repeat value="#{funnelBean.funnelActXSubPeriodo.funnelActividades}" var="funnel">
													    	<ui:repeat value="#{funnel.diasSubPeriodo}" var="sub">
													    		<ui:fragment rendered="#{funnel.nombreActividad eq 'Cierre'}">
														     		<ui:fragment rendered="#{sub.esHabil eq 'NO'}">
														     			<td style="background-color: #a7a8aa !important;"><div class="totalesClass"><h:outputText value="#{sub.plan}"/></div></td>
															   		</ui:fragment>
															   		<ui:fragment rendered="#{sub.esHabil eq 'SI'}">
														     			<td><div class="totalesClass"><h:outputText value="#{sub.plan}"/></div></td>
															   		</ui:fragment>
														     		<td><div class="#{sub.estilo}"><h:outputText value="#{sub.real}"/></div></td>
													     		</ui:fragment>
													   		</ui:repeat>
														</ui:repeat>
													</tr>   
												</table>
											</div>
										</ui:fragment>
									</h:form>
								</div>
						    </div>
					    </div>
					</div>
				</div>
			</div>
		</div>
		<footer class="footer">
			<h:graphicImage url="#{request.contextPath}/recursos/assets/images/logo-beboss.png" alt="homepage" class="mr-2" />  Copyright © 2019 BEBOSS. Todos los derechos reservados.
		</footer>
	</div>
	<script src="#{request.contextPath}/recursos/dist/js/custom.js"></script>
	<script>
	 //<![CDATA[	
	 $(function() {
	     $(".preloader").fadeOut();
	     cargaInicial();
	 });
	 
	 function cargaInicial(){
		 var json = '#{funnelBean.respuesta}'; 
		 cargaDatos(json);
	 }

	 function cargaRefrescar(){
		 var json = document.getElementById('frmFiltros:respuesta').value;
		 cargaDatos(json);
	 }
	 
	 function cargaDatos(json){ 
		 $(".preloader").fadeOut();
	 	var funnel = JSON.parse(json);
	 	//console.log('funnel=' + JSON.stringify(funnel));
	 	var sometidas=0;
	 	var emitidas=0;
 		var prospectos_porcentaje; 
 		var prospectos_totalPlan;
 		var prospectos_totalReal;
 		var llamadas_porcentaje; 
 		var llamadas_totalPlan;
 		var llamadas_totalReal;
 		var citas_porcentaje;
 		var citas_totalPlan;
 		var citas_totalReal;
 		var reunion_r1_porcentaje; 
 		var reunion_r1_totalPlan;
 		var reunion_r1_totalReal;
 		var reunion_r2_porcentaje; 
 		var reunion_r2_totalPlan;
 		var reunion_r2_totalReal;
 		var clientes_porcentaje;
 		var clientes_totalPlan; 
 		var clientes_totalReal; 
 		var cierre_porcentaje; 
 		var cierre_totalPlan;
 		var cierre_totalReal;
 		var real;
 		var plan; 	
 		var funnelActividades;
 		
 		if (funnel.data){
 			funnelActividades = funnel.data.FunnelActividades;
 		} else {
 			funnelActividades = funnel.FunnelActividades;
	 	}
 		
 		for (var i = 0; i < funnelActividades.length; i++){
 		    var obj = funnelActividades[i];
 		    
 		    if (obj.NombreActividad === "Prospectos"){
 		    	$("#prospectos_totalReal").text(cambiaDecimal(obj.TotalReal));
 		    	$("#prospectos_totalPlan").text(cambiaDecimal(obj.TotalPlan));
 		    	
 		    	$("#p_real_total").text(cambiaDecimal(obj.TotalReal));
 		    	$("#p_meta_total").text(cambiaDecimal(obj.TotalPlan));
 		    	
 		    	real = parseInt(JSON.stringify(obj.TotalReal));
 		    	plan = parseInt(JSON.stringify(obj.TotalPlan));
 		    	
 		    	if(plan > 0){
	 		    	if(real >= plan){
	 		    		$("#p_real_total").addClass('totalesOKClass');
	 		    	}else{
	 		    		$("#p_real_total").addClass('totalesNOKClass');
	 		    	}
 		    	}
 		    	
 		    	var por = porcentaje(obj.TotalReal, obj.TotalPlan);
 		    	$("#prospectos_porcentaje").text(por);
 		    	$("#prospectos_div").height('15px');
 		    	$("#prospectos_div").width(por);
 		    	
 		    	prospectos_porcentaje=por;
 		    	prospectos_totalPlan=obj.TotalPlan;
 		    	prospectos_totalReal=obj.TotalReal;

				if (funnel.data){
 	 		    	for (var x = 0; x < 4; x++){
	 		    		var objp = obj.SubPeriodos[x];
	 		 			if(x === 0){
	 		 				$("#nombre_s1").text(objp.NombreSubPeriodo);
	 		 				$("#p_meta_s1").text(cambiaDecimal(objp.Plan));
	 		 				$("#p_real_s1").text(cambiaDecimal(objp.Real));
	 		 				
	 		 				real = parseInt(JSON.stringify(objp.Real));
	 		 		    	plan = parseInt(JSON.stringify(objp.Plan));
	 		 		    	
	 		 		    	if(plan > 0){
	 			 		    	if(real >= plan){
	 			 		    		$("#p_real_s1").addClass('totalesOKClass');
	 			 		    	}else{
	 			 		    		$("#p_real_s1").addClass('totalesNOKClass');
	 			 		    	}
	 		 		    	}
	 		 			}
	 		 			if(x === 1){
	 		 				$("#nombre_s2").text(objp.NombreSubPeriodo);
	 		 				$("#p_meta_s2").text(cambiaDecimal(objp.Plan));
	 		 				$("#p_real_s2").text(cambiaDecimal(objp.Real));
	 		 				
	 		 				real = parseInt(JSON.stringify(objp.Real));
	 		 		    	plan = parseInt(JSON.stringify(objp.Plan));
	 		 		    	
	 		 		    	if(plan > 0){
	 			 		    	if(real >= plan){
	 			 		    		$("#p_real_s2").addClass('totalesOKClass');
	 			 		    	}else{
	 			 		    		$("#p_real_s2").addClass('totalesNOKClass');
	 			 		    	}
	 		 		    	}
	 		 			}
	 		 			if(x === 2){
	 		 				$("#nombre_s3").text(objp.NombreSubPeriodo);
	 		 				$("#p_meta_s3").text(cambiaDecimal(objp.Plan));
	 		 				$("#p_real_s3").text(cambiaDecimal(objp.Real));
	 		 				
	 		 				real = parseInt(JSON.stringify(objp.Real));
	 		 		    	plan = parseInt(JSON.stringify(objp.Plan));
	 		 		    	
	 		 		    	if(plan > 0){
	 			 		    	if(real >= plan){
	 			 		    		$("#p_real_s3").addClass('totalesOKClass');
	 			 		    	}else{
	 			 		    		$("#p_real_s3").addClass('totalesNOKClass');
	 			 		    	}
	 		 		    	}
	 		 			}
	 		 			if(x === 3){
	 		 				$("#nombre_s4").text(objp.NombreSubPeriodo);
	 		 				$("#p_meta_s4").text(cambiaDecimal(objp.Plan));
	 		 				$("#p_real_s4").text(cambiaDecimal(objp.Real));
	 		 				
	 		 				real = parseInt(JSON.stringify(objp.Real));
	 		 		    	plan = parseInt(JSON.stringify(objp.Plan));
	 		 		    	
	 		 		    	if(plan > 0){
	 			 		    	if(real >= plan){
	 			 		    		$("#p_real_s4").addClass('totalesOKClass');
	 			 		    	}else{
	 			 		    		$("#p_real_s4").addClass('totalesNOKClass');
	 			 		    	}
	 		 		    	}
	 		 			}
	 		    	}
				}
 		    }
 		    
 		    if (obj.NombreActividad === "Llamadas"){
 		    	$("#llamadas_totalReal").text(cambiaDecimal(obj.TotalReal));
 		    	$("#llamadas_totalPlan").text(cambiaDecimal(obj.TotalPlan));
 		    	
 		    	$("#ll_real_total").text(cambiaDecimal(obj.TotalReal));
 		    	$("#ll_meta_total").text(cambiaDecimal(obj.TotalPlan));
 		    	
 		    	real = parseInt(JSON.stringify(obj.TotalReal));
 		    	plan = parseInt(JSON.stringify(obj.TotalPlan));
 		    	
 		    	if(plan > 0){
	 		    	if(real >= plan){
	 		    		$("#ll_real_total").addClass('totalesOKClass');
	 		    	}else{
	 		    		$("#ll_real_total").addClass('totalesNOKClass');
	 		    	}
 		    	}
 		    	
 		    	var por = porcentaje(obj.TotalReal, obj.TotalPlan);
 		    	$("#llamadas_porcentaje").text(por);
 		    	$("#llamadas_div").height('15px');
 		    	$("#llamadas_div").width(por);
 		    	
 		    	llamadas_porcentaje=por; 
 		 		llamadas_totalPlan=obj.TotalPlan;
 		 		llamadas_totalReal=obj.TotalReal;

 		 		if (funnel.data){
	 		    	for (var x = 0; x < 4; x++){
	 		   			var objp = obj.SubPeriodos[x];
	 		 			if(x === 0){
	 		 				$("#nombre_s1").text(objp.NombreSubPeriodo);
	 		 				$("#ll_meta_s1").text(cambiaDecimal(objp.Plan));
	 		 				$("#ll_real_s1").text(cambiaDecimal(objp.Real));
	 		 				
	 		 				real = parseInt(JSON.stringify(objp.Real));
	 		 		    	plan = parseInt(JSON.stringify(objp.Plan));
	 		 		    	
	 		 		    	if(plan > 0){
	 			 		    	if(real >= plan){
	 			 		    		$("#ll_real_s1").addClass('totalesOKClass');
	 			 		    	}else{
	 			 		    		$("#ll_real_s1").addClass('totalesNOKClass');
	 			 		    	}
	 		 		    	}
	 		 			}
	 		 			if(x === 1){
	 		 				$("#nombre_s2").text(objp.NombreSubPeriodo);
	 		 				$("#ll_meta_s2").text(cambiaDecimal(objp.Plan));
	 		 				$("#ll_real_s2").text(cambiaDecimal(objp.Real));
	 		 				
	 		 				real = parseInt(JSON.stringify(objp.Real));
	 		 		    	plan = parseInt(JSON.stringify(objp.Plan));
	 		 		    	
	 		 		    	if(plan > 0){
	 			 		    	if(real >= plan){
	 			 		    		$("#ll_real_s2").addClass('totalesOKClass');
	 			 		    	}else{
	 			 		    		$("#ll_real_s2").addClass('totalesNOKClass');
	 			 		    	}
	 		 		    	}
	 		 			}
	 		 			if(x === 2){
	 		 				$("#nombre_s3").text(objp.NombreSubPeriodo);
	 		 				$("#ll_meta_s3").text(cambiaDecimal(objp.Plan));
	 		 				$("#ll_real_s3").text(cambiaDecimal(objp.Real));
	 		 				
	 		 				real = parseInt(JSON.stringify(objp.Real));
	 		 		    	plan = parseInt(JSON.stringify(objp.Plan));
	 		 		    	
	 		 		    	if(plan > 0){
	 			 		    	if(real >= plan){
	 			 		    		$("#ll_real_s3").addClass('totalesOKClass');
	 			 		    	}else{
	 			 		    		$("#ll_real_s3").addClass('totalesNOKClass');
	 			 		    	}
	 		 		    	}
	 		 			}
	 		 			if(x === 3){
	 		 				$("#nombre_s4").text(objp.NombreSubPeriodo);
	 		 				$("#ll_meta_s4").text(cambiaDecimal(objp.Plan));
	 		 				$("#ll_real_s4").text(cambiaDecimal(objp.Real));
	 		 				
	 		 				real = parseInt(JSON.stringify(objp.Real));
	 		 		    	plan = parseInt(JSON.stringify(objp.Plan));
	 		 		    	
	 		 		    	if(plan > 0){
	 			 		    	if(real >= plan){
	 			 		    		$("#ll_real_s4").addClass('totalesOKClass');
	 			 		    	}else{
	 			 		    		$("#ll_real_s4").addClass('totalesNOKClass');
	 			 		    	}
	 		 		    	}
	 		 			}
	 		    	}
 		    	}
 		    }
 		    if (obj.NombreActividad === "Citas Concertadas"){
 		    	$("#citas_totalReal").text(cambiaDecimal(obj.TotalReal));
 		    	$("#citas_totalPlan").text(cambiaDecimal(obj.TotalPlan));
 		    	
 		    	$("#c_real_total").text(cambiaDecimal(obj.TotalReal));
 		    	$("#c_meta_total").text(cambiaDecimal(obj.TotalPlan));
 		    	
 		    	real = parseInt(JSON.stringify(obj.TotalReal));
 		    	plan = parseInt(JSON.stringify(obj.TotalPlan));
 		    	
 		    	if(plan > 0){
	 		    	if(real >= plan){
	 		    		$("#c_real_total").addClass('totalesOKClass');
	 		    	}else{
	 		    		$("#c_real_total").addClass('totalesNOKClass');
	 		    	}
 		    	}
 		    		 		    	
 		    	var por = porcentaje(obj.TotalReal, obj.TotalPlan);
 		    	$("#citas_porcentaje").text(por);
 		    	$("#citas_div").height('15px');
 		    	$("#citas_div").width(por);
 		    	
 		    	citas_porcentaje=por;
 		 		citas_totalPlan=obj.TotalPlan;
 		 		citas_totalReal=obj.TotalReal;

 		 		if (funnel.data){
	 		    	for (var x = 0; x < 4; x++){
	 		   			var objp = obj.SubPeriodos[x];
	 		 			if(x === 0){
	 		 				$("#nombre_s1").text(objp.NombreSubPeriodo);
	 		 				$("#c_meta_s1").text(cambiaDecimal(objp.Plan));
	 		 				$("#c_real_s1").text(cambiaDecimal(objp.Real));
	 		 				
	 		 				real = parseInt(JSON.stringify(objp.Real));
	 		 		    	plan = parseInt(JSON.stringify(objp.Plan));
	 		 		    	
	 		 		    	if(plan > 0){
	 			 		    	if(real >= plan){
	 			 		    		$("#c_real_s1").addClass('totalesOKClass');
	 			 		    	}else{
	 			 		    		$("#c_real_s1").addClass('totalesNOKClass');
	 			 		    	}
	 		 		    	}
	 		 			}
	 		 			if(x === 1){
	 		 				$("#nombre_s2").text(objp.NombreSubPeriodo);
	 		 				$("#c_meta_s2").text(cambiaDecimal(objp.Plan));
	 		 				$("#c_real_s2").text(cambiaDecimal(objp.Real));
	 		 				
	 		 				real = parseInt(JSON.stringify(objp.Real));
	 		 		    	plan = parseInt(JSON.stringify(objp.Plan));
	 		 		    	
	 		 		    	if(plan > 0){
	 			 		    	if(real >= plan){
	 			 		    		$("#c_real_s2").addClass('totalesOKClass');
	 			 		    	}else{
	 			 		    		$("#c_real_s2").addClass('totalesNOKClass');
	 			 		    	}
	 		 		    	}
	 		 			}
	 		 			if(x === 2){
	 		 				$("#nombre_s3").text(objp.NombreSubPeriodo);
	 		 				$("#c_meta_s3").text(cambiaDecimal(objp.Plan));
	 		 				$("#c_real_s3").text(cambiaDecimal(objp.Real));
	 		 				
	 		 				real = parseInt(JSON.stringify(objp.Real));
	 		 		    	plan = parseInt(JSON.stringify(objp.Plan));
	 		 		    	
	 		 		    	if(plan > 0){
	 			 		    	if(real >= plan){
	 			 		    		$("#c_real_s3").addClass('totalesOKClass');
	 			 		    	}else{
	 			 		    		$("#c_real_s3").addClass('totalesNOKClass');
	 			 		    	}
	 		 		    	}
	 		 			}
	 		 			if(x === 3){
	 		 				$("#nombre_s4").text(objp.NombreSubPeriodo);
	 		 				$("#c_meta_s4").text(cambiaDecimal(objp.Plan));
	 		 				$("#c_real_s4").text(cambiaDecimal(objp.Real));
	 		 				
	 		 				real = parseInt(JSON.stringify(objp.Real));
	 		 		    	plan = parseInt(JSON.stringify(objp.Plan));
	 		 		    	
	 		 		    	if(plan > 0){
	 			 		    	if(real >= plan){
	 			 		    		$("#c_real_s4").addClass('totalesOKClass');
	 			 		    	}else{
	 			 		    		$("#c_real_s4").addClass('totalesNOKClass');
	 			 		    	}
	 		 		    	}
	 		 			}
	 		    	}
 		    	}
 		    }
 		    if (obj.NombreActividad === "Reunion 1"){
 		    	$("#reunion_r1_totalReal").text(cambiaDecimal(obj.TotalReal));
 		    	$("#reunion_r1_totalPlan").text(cambiaDecimal(obj.TotalPlan));
 		    	
 		    	$("#r1_real_total").text(cambiaDecimal(obj.TotalReal));
 		    	$("#r1_meta_total").text(cambiaDecimal(obj.TotalPlan));
 		    	
 		    	real = parseInt(JSON.stringify(obj.TotalReal));
 		    	plan = parseInt(JSON.stringify(obj.TotalPlan));
 		    	
 		    	if(plan > 0){
	 		    	if(real >= plan){
	 		    		$("#r1_real_total").addClass('totalesOKClass');
	 		    	}else{
	 		    		$("#r1_real_total").addClass('totalesNOKClass');
	 		    	}
 		    	}
 		    	
 		    	var por = porcentaje(obj.TotalReal, obj.TotalPlan);
 		    	$("#reunion_r1_porcentaje").text(por);
 		    	$("#reunion_r1_div").height('15px');
 		    	$("#reunion_r1_div").width(por);
 		    	
	 		   	reunion_r1_porcentaje=por; 
		 		reunion_r1_totalPlan=obj.TotalPlan;
		 		reunion_r1_totalReal=obj.TotalReal;

		 		if (funnel.data){
	 		    	for (var x = 0; x < 4; x++){
	 		   			var objp = obj.SubPeriodos[x];
	 		 			if(x === 0){
	 		 				$("#nombre_s1").text(objp.NombreSubPeriodo);
	 		 				$("#r1_meta_s1").text(cambiaDecimal(objp.Plan));
	 		 				$("#r1_real_s1").text(cambiaDecimal(objp.Real));
	 		 				
	 		 				real = parseInt(JSON.stringify(objp.Real));
	 		 		    	plan = parseInt(JSON.stringify(objp.Plan));
	 		 		    	
	 		 		    	if(plan > 0){
	 			 		    	if(real >= plan){
	 			 		    		$("#r1_real_s1").addClass('totalesOKClass');
	 			 		    	}else{
	 			 		    		$("#r1_real_s1").addClass('totalesNOKClass');
	 			 		    	}
	 		 		    	}
	 		 			}
	 		 			if(x === 1){
	 		 				$("#nombre_s2").text(objp.NombreSubPeriodo);
	 		 				$("#r1_meta_s2").text(cambiaDecimal(objp.Plan));
	 		 				$("#r1_real_s2").text(cambiaDecimal(objp.Real));
	 		 				
	 		 				real = parseInt(JSON.stringify(objp.Real));
	 		 		    	plan = parseInt(JSON.stringify(objp.Plan));
	 		 		    	
	 		 		    	if(plan > 0){
	 			 		    	if(real >= plan){
	 			 		    		$("#r1_real_s2").addClass('totalesOKClass');
	 			 		    	}else{
	 			 		    		$("#r1_real_s2").addClass('totalesNOKClass');
	 			 		    	}
	 		 		    	}
	 		 			}
	 		 			if(x === 2){
	 		 				$("#nombre_s3").text(objp.NombreSubPeriodo);
	 		 				$("#r1_meta_s3").text(cambiaDecimal(objp.Plan));
	 		 				$("#r1_real_s3").text(cambiaDecimal(objp.Real));
	 		 				
	 		 				real = parseInt(JSON.stringify(objp.Real));
	 		 		    	plan = parseInt(JSON.stringify(objp.Plan));
	 		 		    	
	 		 		    	if(plan > 0){
	 			 		    	if(real >= plan){
	 			 		    		$("#r1_real_s3").addClass('totalesOKClass');
	 			 		    	}else{
	 			 		    		$("#r1_real_s3").addClass('totalesNOKClass');
	 			 		    	}
	 		 		    	}
	 		 			}
	 		 			if(x === 3){
	 		 				$("#nombre_s4").text(objp.NombreSubPeriodo);
	 		 				$("#r1_meta_s4").text(cambiaDecimal(objp.Plan));
	 		 				$("#r1_real_s4").text(cambiaDecimal(objp.Real));
	 		 				
	 		 				real = parseInt(JSON.stringify(objp.Real));
	 		 		    	plan = parseInt(JSON.stringify(objp.Plan));
	 		 		    	
	 		 		    	if(plan > 0){
	 			 		    	if(real >= plan){
	 			 		    		$("#r1_real_s4").addClass('totalesOKClass');
	 			 		    	}else{
	 			 		    		$("#r1_real_s4").addClass('totalesNOKClass');
	 			 		    	}
	 		 		    	}
	 		 				
	 		 			}
	 		    	}
 		    	}
 		    }
 		    if (obj.NombreActividad === "Reunion 2"){
 		    	$("#reunion_r2_totalReal").text(cambiaDecimal(obj.TotalReal));
 		    	$("#reunion_r2_totalPlan").text(cambiaDecimal(obj.TotalPlan));
 		    	
 		    	$("#r2_real_total").text(cambiaDecimal(obj.TotalReal));
 		    	$("#r2_meta_total").text(cambiaDecimal(obj.TotalPlan));
 		    	
 		    	real = parseInt(JSON.stringify(obj.TotalReal));
 		    	plan = parseInt(JSON.stringify(obj.TotalPlan));
 		    	
 		    	if(plan > 0){
	 		    	if(real >= plan){
	 		    		$("#r2_real_total").addClass('totalesOKClass');
	 		    	}else{
	 		    		$("#r2_real_total").addClass('totalesNOKClass');
	 		    	}
 		    	}
 		    	
 		    	var por = porcentaje(obj.TotalReal, obj.TotalPlan);
 		    	$("#reunion_r2_porcentaje").text(por);
 		    	$("#reunion_r2_div").height('15px');
 		    	$("#reunion_r2_div").width(por);
 		    	
 		    	reunion_r2_porcentaje=por; 
 		 		reunion_r2_totalPlan=obj.TotalPlan;
 		 		reunion_r2_totalReal=obj.TotalReal;

 		 		if (funnel.data){
	 		    	for (var x = 0; x < 4; x++){
	 		   			var objp = obj.SubPeriodos[x];
	 		 			if(x === 0){
	 		 				$("#nombre_s1").text(objp.NombreSubPeriodo);
	 		 				$("#r2_meta_s1").text(cambiaDecimal(objp.Plan));
	 		 				$("#r2_real_s1").text(cambiaDecimal(objp.Real));
	 		 				
	 		 				real = parseInt(JSON.stringify(objp.Real));
	 		 		    	plan = parseInt(JSON.stringify(objp.Plan));
	 		 		    	
	 		 		    	if(plan > 0){
	 			 		    	if(real >= plan){
	 			 		    		$("#r2_real_s1").addClass('totalesOKClass');
	 			 		    	}else{
	 			 		    		$("#r2_real_s1").addClass('totalesNOKClass');
	 			 		    	}
	 		 		    	}
	 		 			}
	 		 			if(x === 1){
	 		 				$("#nombre_s2").text(objp.NombreSubPeriodo);
	 		 				$("#r2_meta_s2").text(cambiaDecimal(objp.Plan));
	 		 				$("#r2_real_s2").text(cambiaDecimal(objp.Real));
	 		 				
	 		 				real = parseInt(JSON.stringify(objp.Real));
	 		 		    	plan = parseInt(JSON.stringify(objp.Plan));
	 		 		    	
	 		 		    	if(plan > 0){
	 			 		    	if(real >= plan){
	 			 		    		$("#r2_real_s2").addClass('totalesOKClass');
	 			 		    	}else{
	 			 		    		$("#r2_real_s2").addClass('totalesNOKClass');
	 			 		    	}
	 		 		    	}
	 		 			}
	 		 			if(x === 2){
	 		 				$("#nombre_s3").text(objp.NombreSubPeriodo);
	 		 				$("#r2_meta_s3").text(cambiaDecimal(objp.Plan));
	 		 				$("#r2_real_s3").text(cambiaDecimal(objp.Real));
	 		 				
	 		 				real = parseInt(JSON.stringify(objp.Real));
	 		 		    	plan = parseInt(JSON.stringify(objp.Plan));
	 		 		    	
	 		 		    	if(plan > 0){
	 			 		    	if(real >= plan){
	 			 		    		$("#r2_real_s3").addClass('totalesOKClass');
	 			 		    	}else{
	 			 		    		$("#r2_real_s3").addClass('totalesNOKClass');
	 			 		    	}
	 		 		    	}
	 		 			}
	 		 			if(x === 3){
	 		 				$("#nombre_s4").text(objp.NombreSubPeriodo);
	 		 				$("#r2_meta_s4").text(cambiaDecimal(objp.Plan));
	 		 				$("#r2_real_s4").text(cambiaDecimal(objp.Real));
	 		 				
	 		 				real = parseInt(JSON.stringify(objp.Real));
	 		 		    	plan = parseInt(JSON.stringify(objp.Plan));
	 		 		    	
	 		 		    	if(plan > 0){
	 			 		    	if(real >= plan){
	 			 		    		$("#r2_real_s4").addClass('totalesOKClass');
	 			 		    	}else{
	 			 		    		$("#r2_real_s4").addClass('totalesNOKClass');
	 			 		    	}
	 		 		    	}
	 		 			}
	 		    	}
 		    	}
 		    }
 		    if (obj.NombreActividad === "Clientes Cotizados"){
 		    	$("#clientes_totalReal").text(cambiaDecimal(obj.TotalReal));
 		    	$("#clientes_totalPlan").text(cambiaDecimal(obj.TotalPlan));
 		    	
 		    	$("#co_real_total").text(cambiaDecimal(obj.TotalReal));
 		    	$("#co_meta_total").text(cambiaDecimal(obj.TotalPlan));
 		    	
 		    	real = parseInt(JSON.stringify(obj.TotalReal));
 		    	plan = parseInt(JSON.stringify(obj.TotalPlan));
 		    	
 		    	if(plan > 0){
	 		    	if(real >= plan){
	 		    		$("#co_real_total").addClass('totalesOKClass');
	 		    	}else{
	 		    		$("#co_real_total").addClass('totalesNOKClass');
	 		    	}
 		    	}
 		    	
 		    	var por = porcentaje(obj.TotalReal, obj.TotalPlan);
 		    	$("#clientes_porcentaje").text(por);
 		    	$("#clientes_div").height('15px');
 		    	$("#clientes_div").width(por);
 		    	
 		    	clientes_porcentaje=por;
 		 		clientes_totalPlan=obj.TotalPlan; 
 		 		clientes_totalReal=obj.TotalReal;

 		 		if (funnel.data){
	 		    	for (var x = 0; x < 4; x++){
	 		   			var objp = obj.SubPeriodos[x];
	 		 			if(x === 0){
	 		 				$("#nombre_s1").text(objp.NombreSubPeriodo);
	 		 				$("#co_meta_s1").text(cambiaDecimal(objp.Plan));
	 		 				$("#co_real_s1").text(cambiaDecimal(objp.Real));
	 		 				
	 		 				real = parseInt(JSON.stringify(objp.Real));
	 		 		    	plan = parseInt(JSON.stringify(objp.Plan));
	 		 		    	
	 		 		    	if(plan > 0){
	 			 		    	if(real >= plan){
	 			 		    		$("#co_real_s1").addClass('totalesOKClass');
	 			 		    	}else{
	 			 		    		$("#co_real_s1").addClass('totalesNOKClass');
	 			 		    	}
	 		 		    	}
	 		 			}
	 		 			if(x === 1){
	 		 				$("#nombre_s2").text(objp.NombreSubPeriodo);
	 		 				$("#co_meta_s2").text(cambiaDecimal(objp.Plan));
	 		 				$("#co_real_s2").text(cambiaDecimal(objp.Real));
	 		 				
	 		 				real = parseInt(JSON.stringify(objp.Real));
	 		 		    	plan = parseInt(JSON.stringify(objp.Plan));
	 		 		    	
	 		 		    	if(plan > 0){
	 			 		    	if(real >= plan){
	 			 		    		$("#co_real_s2").addClass('totalesOKClass');
	 			 		    	}else{
	 			 		    		$("#co_real_s2").addClass('totalesNOKClass');
	 			 		    	}
	 		 		    	}
	 		 			}
	 		 			if(x === 2){
	 		 				$("#nombre_s3").text(objp.NombreSubPeriodo);
	 		 				$("#co_meta_s3").text(cambiaDecimal(objp.Plan));
	 		 				$("#co_real_s3").text(cambiaDecimal(objp.Real));
	 		 				
	 		 				real = parseInt(JSON.stringify(objp.Real));
	 		 		    	plan = parseInt(JSON.stringify(objp.Plan));
	 		 		    	
	 		 		    	if(plan > 0){
	 			 		    	if(real >= plan){
	 			 		    		$("#co_real_s3").addClass('totalesOKClass');
	 			 		    	}else{
	 			 		    		$("#co_real_s3").addClass('totalesNOKClass');
	 			 		    	}
	 		 		    	}
	 		 			}
	 		 			if(x === 3){
	 		 				$("#nombre_s4").text(objp.NombreSubPeriodo);
	 		 				$("#co_meta_s4").text(cambiaDecimal(objp.Plan));
	 		 				$("#co_real_s4").text(cambiaDecimal(objp.Real));
	 		 				
	 		 				real = parseInt(JSON.stringify(objp.Real));
	 		 		    	plan = parseInt(JSON.stringify(objp.Plan));
	 		 		    	
	 		 		    	if(plan > 0){
	 			 		    	if(real >= plan){
	 			 		    		$("#co_real_s4").addClass('totalesOKClass');
	 			 		    	}else{
	 			 		    		$("#co_real_s4").addClass('totalesNOKClass');
	 			 		    	}
	 		 		    	}
	 		 			}
	 		    	}
 		    	}
 		    }
 		    if (obj.NombreActividad === "Cierre"){
 		    	$("#cierre_totalReal").text(cambiaDecimal(obj.TotalReal));
 		    	$("#cierre_totalPlan").text(cambiaDecimal(obj.TotalPlan));
 		    	
 		    	$("#e_real_total").text(cambiaDecimal(obj.TotalReal));
 		    	$("#e_meta_total").text(cambiaDecimal(obj.TotalPlan));
 		    	
 		    	real = parseInt(JSON.stringify(obj.TotalReal));
 		    	plan = parseInt(JSON.stringify(obj.TotalPlan));
 		    	
 		    	if(plan > 0){
	 		    	if(real >= plan){
	 		    		$("#e_real_total").addClass('totalesOKClass');
	 		    	}else{
	 		    		$("#e_real_total").addClass('totalesNOKClass');
	 		    	}
 		    	}
 		    	
 		    	var por = porcentaje(obj.TotalReal, obj.TotalPlan);
 		    	$("#cierre_porcentaje").text(por);
 		    	$("#cierre_div").height('15px');
 		    	$("#cierre_div").width(por);
 		    	
	 		   	cierre_porcentaje=por; 
	 		    cierre_totalPlan=obj.TotalPlan;
	 		    cierre_totalReal=obj.TotalReal;

	 		   	if (funnel.data){
	 		    	for (var x = 0; x < 4; x++){
	 		   			var objp = obj.SubPeriodos[x];
	 		 			if(x === 0){
	 		 				$("#nombre_s1").text(objp.NombreSubPeriodo);
	 		 				$("#e_meta_s1").text(cambiaDecimal(objp.Plan));
	 		 				$("#e_real_s1").text(cambiaDecimal(objp.Real));
	 		 				
	 		 				real = parseInt(JSON.stringify(objp.Real));
	 		 		    	plan = parseInt(JSON.stringify(objp.Plan));
	 		 		    	
	 		 		    	if(plan > 0){
	 			 		    	if(real >= plan){
	 			 		    		$("#e_real_s1").addClass('totalesOKClass');
	 			 		    	}else{
	 			 		    		$("#e_real_s1").addClass('totalesNOKClass');
	 			 		    	}
	 		 		    	}
	 		 			}
	 		 			if(x === 1){
	 		 				$("#nombre_s2").text(objp.NombreSubPeriodo);
	 		 				$("#e_meta_s2").text(cambiaDecimal(objp.Plan));
	 		 				$("#e_real_s2").text(cambiaDecimal(objp.Real));
	 		 				
	 		 				real = parseInt(JSON.stringify(objp.Real));
	 		 		    	plan = parseInt(JSON.stringify(objp.Plan));
	 		 		    	
	 		 		    	if(plan > 0){
	 			 		    	if(real >= plan){
	 			 		    		$("#e_real_s2").addClass('totalesOKClass');
	 			 		    	}else{
	 			 		    		$("#e_real_s2").addClass('totalesNOKClass');
	 			 		    	}
	 		 		    	}
	 		 			}
	 		 			if(x === 2){
	 		 				$("#nombre_s3").text(objp.NombreSubPeriodo);
	 		 				$("#e_meta_s3").text(cambiaDecimal(objp.Plan));
	 		 				$("#e_real_s3").text(cambiaDecimal(objp.Real));
	 		 				
	 		 				real = parseInt(JSON.stringify(objp.Real));
	 		 		    	plan = parseInt(JSON.stringify(objp.Plan));
	 		 		    	
	 		 		    	if(plan > 0){
	 			 		    	if(real >= plan){
	 			 		    		$("#e_real_s3").addClass('totalesOKClass');
	 			 		    	}else{
	 			 		    		$("#e_real_s3").addClass('totalesNOKClass');
	 			 		    	}
	 		 		    	}
	 		 			}
	 		 			if(x === 3){
	 		 				$("#nombre_s4").text(objp.NombreSubPeriodo);
	 		 				$("#e_meta_s4").text(cambiaDecimal(objp.Plan));
	 		 				$("#e_real_s4").text(cambiaDecimal(objp.Real));
	 		 				
	 		 				real = parseInt(JSON.stringify(objp.Real));
	 		 		    	plan = parseInt(JSON.stringify(objp.Plan));
	 		 		    	
	 		 		    	if(plan > 0){
	 			 		    	if(real >= plan){
	 			 		    		$("#e_real_s4").addClass('totalesOKClass');
	 			 		    	}else{
	 			 		    		$("#e_real_s4").addClass('totalesNOKClass');
	 			 		    	}
	 		 		    	}
	 		 			}
	 		    	}
 		    	}
 		    }   
	 	}
	 }
	 
	 function porcentaje(real, plan){
		 var porcentaje = Math.floor((real/plan)*100);
		 return porcentaje + '%';
	 }
	 
	 //]]>
	</script>
</h:body>
</html>